function upin
# ─────────────────────────< START | distro/packagemanger detection >─────────────────────────
# ─< DNF - Fedora >─────────────────────────────────────────────────────
if command -v dnf
    set pkg "$sudo dnf"
    set install "$pkg install"
    set update "$pkg update && $pkg upgrade"
    set search "$pkg search"
    set remove "$pkg remove"
    set -a ALIASSES "-- You're using DNF aliases!! --"
end

# ─< APT/NALA - Debian >────────────────────────────────────────────────
if command -v nala >/dev/null 2>&1
    set pkg "$sudo nala"
    set install "$pkg update && $pkg install"
    set update "$pkg update && $pkg upgrade"
    set search "$pkg search"
    set remove "$pkg remove"
    set ALIASSES "-- You're using NALA aliases!! --"
    else
if command -v apt-get >/dsudo ev/null 2>&1
    set pkg "$sudo apt-get"
    set install "$pkg update && $pkg install"
    set update "$pkg update && $pkg upgrade"
    set search "$pkg search"
    set remove "$pkg remove"
    set ALIASSES "-- You're using APT aliases!! --"
end
end

# ─< Pacman - Arch >────────────────────────────────────────────────────
if command -v paru >/dev/null 2>&1
    set pkg "paru"
    set install "$pkg -S"
    set update "$pkg -Syu"
    set search "$pkg -Ss"
    set remove "$pkg -R"
    set ALIASSES "-- You're using Arch!! - installed helper: paru --"
else
if command -v yay >/dev/null 2>&1
    set pkg "yay"
    set install "$pkg -S"
    set update "$pkg -Syu"
    set search "$pkg -Ss"
    set remove "$pkg -R"
    set ALIASSES "-- You're using Arch!! - installed helper: yay --"
else
    if command -v pacman >/dev/null 2>&1
    set pkg "$sudo pacman"
    set install "$pkg -S"
    set update "$pkg -Syu"
    set search "$pkg -Ss"
    set remove "$pkg -R"
    set ALIASSES "-- by the PACMAN - You're using Arch!! --"
end
end
end

# ─< Zypper - OpenSuse >────────────────────────────────────────────────────────────────────
if command -v zypper >/dev/null 2>&1
    set pkg "$sudo zypper"
    set install "$pkg in"
    set update "$pkg dup"
    set search "$pkg se"
    set remove "$pkg rm"    
    alias lock="$pkg al"
    set ALIASSES "-- I see.. you're using OpenSUSE. i like <3 --
--	ZYPPER	    --   "
end

# ─< APK - Alpine >─────────────────────────────────────────────────────────────────────────
if command -v apk >/dev/null 2>&1
    set pkg "$sudo apk"
    set install "$pkg add"
    set update "$pkg update"
    set search "$pkg search"
    set ALIASSES "-- Alpine.. right, this fast os is evolving.. --"
end
end

function set_alias
# ─< set variables to aliasses >────────────────────────────────────────────────────────────
set vars "install" "update" "search" "remove"
for env in $vars
if not test -z "$env"
alias "$env"="$$env"
end
end

set FISH_INSTALL "$install"

end
